Subject: Re: [PATCH 0/2] ssh signing: fix merging signed tags & docs

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Oct 2021 10:34:51 -0700

Fabian Stelzer <[email-masked]> writes:

> Two small follow up patches on top of 1bfb57f642d. fmt-merge-msg needs
> to load gpg config to be able to verify merged tags. load it and add
> some tests. And i forgot to adjust the docs when we changed some
> behaviour of the original patch during review.

Sigh, why does this series have to come _after_ the problematic
commit that needs fixup! have finally hit 'next', after lingering in
'seen' for very long time, instead of much earlier?

In any case, the damage has been made.  We don't revert a topic out
of 'next' very lightly, so let's have the 'fixup!' one as a true
incremental.  We pretend as if we have already shipped what is in
'next' as part of a stable version to customers, and write a bugfix
patch that says "Commit X made Y to do Z, which is wrong for such
and such reasons.  Make Y do W instead."

Thanks.